package be.iminds.ilabt.jfed;

import be.iminds.ilabt.jfed.fedmon.webapi.client.*;
import be.iminds.ilabt.jfed.lowlevel.TestbedInfoSource;
import be.iminds.ilabt.jfed.lowlevel.authority.Fed4FireAuthorityList;
import be.iminds.ilabt.jfed.lowlevel.authority.JFedTestbedInfoSource;
import be.iminds.ilabt.jfed.preferences.JFedGuiPreferences;
import be.iminds.ilabt.jfed.preferences.JFedPreferences;
import be.iminds.ilabt.jfed.util.JFedTrustStore;
import com.google.inject.AbstractModule;
import com.google.inject.Provides;

import javax.inject.Singleton;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Properties;

/**
 * BaseGuiModule
 */
public class BaseGuiModule extends AbstractModule {
    @Override
    protected void configure() {
        bind(JFedGuiPreferences.class).in(Singleton.class);
        bind(JFedPreferences.class).to(JFedGuiPreferences.class).in(Singleton.class);

    }

}
