package be.iminds.ilabt.jfed.lowlevel.ssh_key_info;

import be.iminds.ilabt.jfed.util.tmp_file_helpers.TmpFile;

/**
 * User: twalcari
 * Date: 5/27/2016
 * Time: 09:42
 */
public interface SshFilesKeyInfo extends SshKeyInfo {
    /**
     * file containing private key. may be encrypted. Non putty format. never null. Will also make sure a .pub file with the public key is in the same dir.
     */
    TmpFile getPrivateKeyFile();

    /**
     * file containing private key. Non putty format. never null. Will also make sure a .pub file with the public key is in the same dir.
     */
    TmpFile getUnencryptedPrivateKeyFile();

}
